
Redmine - Defect #13888

Daylight savings causes inconsistency of Message-Id in emails

2013-04-26 08:42 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

This to maintained threaded messages that are referred to same bug but are posted before and after daylight savings off\on

For me this is urgent because messed up my threaded bug mail.

xref bug #13851

Related issues:

Has duplicate Redmine - Defect #13851: Unthreade new mail message Closed

Associated revisions

Revision 17890 - 2019-02-19 12:36 - Go MAEDA

Daylight savings causes inconsistency of Message-Id (#13888).

Patch by  Go MAEDA.

History

#1 - 2017-06-22 02:12 - IFPE JAB

pasquale [:dedalus] wrote:

This to maintained threaded messages that are referred to same bug but are posted before and after daylight savings off\on

For me this is urgent because messed up my threaded bug mail.

xref bug #13851

 nice job!

#2 - 2017-07-17 16:16 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

#3 - 2019-02-17 13:38 - Go MAEDA

- Target version set to Candidate for next major release

We don't have to care about daylight savings if we always use UTC when generating a message-id.

Index: app/models/mailer.rb

===================================================================

--- app/models/mailer.rb    (リビジョン 17870)

+++ app/models/mailer.rb    (作業コピー)

@@ -721,7 +721,7 @@

     hash = [

       "redmine",

       "#{object.class.name.demodulize.underscore}-#{object.id}",

-      timestamp.strftime("%Y%m%d%H%M%S")

+      timestamp.utc.strftime("%Y%m%d%H%M%S")

     ]

     if rand

       hash << Redmine::Utils.random_hex(8)
#4 - 2019-02-17 18:20 - pasquale [:dedalus]

Go MAEDA wrote:

We don't have to care about daylight savings if we always use UTC when generating a message-id.

[...]

 yep, I agree

#5 - 2019-02-18 15:51 - Go MAEDA

- File fix-13888.diff added

- Tracker changed from Patch to Defect

- Subject changed from Fix message-id mail header to be invariant respect  daylight savings to Daylight savings causes inconsistency of Message-Id

in emails

- Target version changed from Candidate for next major release to 4.1.0

Attaching a patch that includes a test.

#6 - 2019-02-19 00:22 - Go MAEDA

- Category changed from Email receiving to Email notifications

#7 - 2019-02-19 12:42 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Committed the fix.

The timestamp is UTC after r17890. Daylight savings will never affect message-id.

#8 - 2019-02-19 12:42 - Go MAEDA

- Assignee set to Go MAEDA

#9 - 2019-02-20 01:26 - Go MAEDA

- Related to deleted (Defect #13851: Unthreade new mail message)

#10 - 2019-02-20 01:26 - Go MAEDA

- Has duplicate Defect #13851: Unthreade new mail message added

Files

bug13851.patch 969 Bytes 2013-04-26 pasquale [:dedalus]

fix-13888.diff 1.1 KB 2019-02-18 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-07-07 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/17890
http://www.tcpdf.org

